---
lang: en
title: 'API docs: socketio.getsocketiometadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.getsocketiometadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [getSocketIoMetadata](./socketio.getsocketiometadata.md)

## getSocketIoMetadata() function

**Signature:**

```typescript
export declare function getSocketIoMetadata(controllerClass: Constructor<unknown>): SocketIoMetadata | undefined;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

controllerClass


</td><td>

[Constructor](./context.constructor.md)<!-- -->&lt;unknown&gt;


</td><td>


</td></tr>
</tbody></table>
**Returns:**

[SocketIoMetadata](./socketio.socketiometadata.md) \| undefined


